---
title: "Reads one business with its stores."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › organization

`GET /v1/merchants/{merchant}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `organization:read`

## Path parameters

- `merchant` (`getMerchant.path.merchant`; string, required)
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/merchants/<merchant>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/merchants/<merchant>';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/merchants/<merchant>"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads one business with its stores.

#### Example

```json
{
  "plan": {
    "plan": "string",
    "name": "string",
    "tier": "string",
    "price_ref": "string",
    "interval": "string",
    "quantity": 0,
    "scheduled_quantity": 0,
    "scheduled_plan": "string",
    "scheduled_price_ref": "string",
    "scheduled_interval": "string",
    "scheduled_releases": 0,
    "scheduled_at": "string",
    "pending_switch": {
      "plan": "string",
      "name": "string",
      "interval": "string"
    },
    "storage_bytes": 0,
    "member_limit": 0,
    "transcription_minutes": 0,
    "status": "string",
    "valid_from": "string",
    "valid_until": "string",
    "cancelled_at": "string",
    "trial_ends_at": "string",
    "source_kind": "string",
    "updated_at": "string"
  },
  "base_plan": {
    "plan": "string",
    "name": "string",
    "tier": "string",
    "granted_at": "2019-08-24T14:15:22Z",
    "in_effect": true
  },
  "standing": {
    "phase": "string",
    "trigger": "string",
    "over": [
      "string"
    ],
    "near": [
      "string"
    ],
    "since": "string",
    "unlocks_pause_at": "string",
    "suspend_at": "string",
    "delete_at": "string",
    "hold_until": "string",
    "upgrade_at": "string"
  },
  "has_customer": true,
  "fee": {
    "rate_bps": 0,
    "updated_at": "string"
  },
  "connections": [
    {
      "processor": "string",
      "external_ref": "string",
      "status": "string",
      "enabled": true,
      "held": true,
      "updated_at": "string"
    }
  ],
  "stores": {
    "items": [
      {
        "id": "string",
        "name": "string",
        "locale": "string",
        "location": "string",
        "hostname": "string",
        "swatch": "string",
        "icon": "string",
        "created_at": "string"
      }
    ],
    "total": 0,
    "limit": 0
  },
  "members": {
    "total": 0,
    "limit": 0
  },
  "id": "string",
  "name": "string",
  "short_name": "string",
  "email": "string",
  "description": "string",
  "swatch": "string",
  "logo": "string",
  "created_at": "string"
}
```

- `plan` (`getMerchant.response.200.plan`; any of, required)
  - any of: `object`, `null`
- `base_plan` (`getMerchant.response.200.base_plan`; any of, required) — The plan held for good beneath any bought, whether or not one is live; null for none.
  - any of: `object`, `null`
- `standing` (`getMerchant.response.200.standing`; any of, required)
  - any of: `object`, `null`
- `has_customer` (`getMerchant.response.200.has_customer`; boolean, required) — Whether the business is a customer at Stripe, so its billing portal can open.
- `fee` (`getMerchant.response.200.fee`; any of, required)
  - any of: `object`, `null`
- `connections` (`getMerchant.response.200.connections`; array<object>, required)
  - `processor` (`getMerchant.response.200.connections.processor`; string, required)
  - `external_ref` (`getMerchant.response.200.connections.external_ref`; string, required)
  - `status` (`getMerchant.response.200.connections.status`; string, required)
  - `enabled` (`getMerchant.response.200.connections.enabled`; boolean, required)
  - `held` (`getMerchant.response.200.connections.held`; boolean, required)
  - `updated_at` (`getMerchant.response.200.connections.updated_at`; any of, required)
    - any of: `string`, `null`
- `stores` (`getMerchant.response.200.stores`; object, required)
  - `items` (`getMerchant.response.200.stores.items`; array<object>, required)
    - `id` (`getMerchant.response.200.stores.items.id`; string, required)
    - `name` (`getMerchant.response.200.stores.items.name`; string, required)
    - `locale` (`getMerchant.response.200.stores.items.locale`; string, required)
    - `location` (`getMerchant.response.200.stores.items.location`; any of, required)
      - any of: `string`, `null`
    - `hostname` (`getMerchant.response.200.stores.items.hostname`; any of, required)
      - any of: `string`, `null`
    - `swatch` (`getMerchant.response.200.stores.items.swatch`; any of, required)
      - any of: `string`, `null`
    - `icon` (`getMerchant.response.200.stores.items.icon`; string, required)
    - `created_at` (`getMerchant.response.200.stores.items.created_at`; any of, required)
      - any of: `string`, `null`
  - `total` (`getMerchant.response.200.stores.total`; number, required)
  - `limit` (`getMerchant.response.200.stores.limit`; number, required)
- `members` (`getMerchant.response.200.members`; object, required)
  - `total` (`getMerchant.response.200.members.total`; number, required)
  - `limit` (`getMerchant.response.200.members.limit`; number, required)
- `id` (`getMerchant.response.200.id`; string, required)
- `name` (`getMerchant.response.200.name`; string, required)
- `short_name` (`getMerchant.response.200.short_name`; string, required)
- `email` (`getMerchant.response.200.email`; string, required)
- `description` (`getMerchant.response.200.description`; any of, required)
  - any of: `string`, `null`
- `swatch` (`getMerchant.response.200.swatch`; any of, required)
  - any of: `string`, `null`
- `logo` (`getMerchant.response.200.logo`; any of, required)
  - any of: `string`, `null`
- `created_at` (`getMerchant.response.200.created_at`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getMerchant.response.default.type`; string, required)
  - format `uri`
- `title` (`getMerchant.response.default.title`; string, required)
- `status` (`getMerchant.response.default.status`; integer, required)
- `detail` (`getMerchant.response.default.detail`; string, required)
- `code` (`getMerchant.response.default.code`; string, optional)
- `context` (`getMerchant.response.default.context`; object, optional)
- `reached_core` (`getMerchant.response.default.reached_core`; boolean, optional)
- `core_answer` (`getMerchant.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/get-merchant/index.md
